Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 22 Apr 2019 18:50:37 +0200

Ricardo Wurmus <[email-masked]> skribis:

> The package claims to provide a game, not a game engine.  As a user I
> would install this only to be told that I need to obtain proprietary
> software (i.e. the game or the demo) to play this.  This is steering
> people to seek out and use proprietary software.
>
> We should change the package so that it conveys the right message,
> either by making it clear that this is not a game but the game engine,
> or by including the game data.  Even if the data are non-functional they
> must be redistributable.  If they are not then we cannot include the
> game data and it would be highly misleading to call the package after
> the game.

I agree.

Pierre, can you look into implementing one of these two options?

>> * gnu/packages/games.scm (the-dark-mod): New variable.
> […]
>> +      (synopsis "Game based on the Thief series by Looking Glass Studios")
>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltration game
>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom III mod,
>> +it is now released as a standalone.
>> +
>> +The game data must be fetched manually by running @command{tdm_update}.
>> +The ~a environment variable specifies the location where the game data is
>> +saved (defaults to ~a)."
>> +                           the-dark-mod-env-var-name the-dark-mod-env-var-value))

(As a side note: do not use ‘format’ here, or wrap the format string in
‘G_’ to allow for i18n.)

> Is this actually free software?  Does it depend on the proprietary Thief
> game data to be playable?  What is the purpose of tdm_update?
>
> I don’t think it’s good to have people run the tdm_update tool, because
> this smells like the anti pattern seen for many games in other
> distributions where you really only install a downloader, which then
> fetches the (potentially non-free) game data.
>
> The game data are free in this case, but since this is provided by an
> unversioned URL it might not be when a user runs the command.  I prefer
> to include a snapshot of the game data.

+1.  The download script looks like giving upstream blanket permission;
even from a technical standpoint, it goes counter our reproducibility
mantra.

(We would disable phone-home mechanisms, and automatic download of game
data goes even a step further.)

Ludo’.